# -*- coding: utf-8 -*-

"""
/***************************************************************************
 SurfaceWaterStorage
                                 A QGIS plugin
 This plugin calculates the area flooded by water volume, height, elevation 
 or area, and the Area-Elevation-Volume graph
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2024-11-13
        copyright            : (C) 2024 by João Vitor Pimenta
        email                : jvpjoaopimenta@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

__author__ = 'João Vitor Pimenta'
__date__ = '2024-07-13'
__copyright__ = '(C) 2024 by João Vitor Pimenta'

# This will get replaced with a git SHA1 when you do a git archive

__revision__ = '$Format:%H$'

import importlib.util
from qgis.core import QgsProcessingException

def verifyNumpyLib ():
    '''
    Checks if the Numpy library is installed
    '''
    if importlib.util.find_spec("numpy") is None:
        raise QgsProcessingException('The Numpy library is not installed!')
def verifyScipyLib ():
    '''
    Checks if the Scipy library is installed
    '''
    if importlib.util.find_spec("scipy") is None:
        raise QgsProcessingException('The Scipy library is not installed!')
def verifyPlotlyLib ():
    '''
    Checks if the Plotly library is installed
    '''
    if importlib.util.find_spec("plotly") is None:
        raise QgsProcessingException('The Plotly library is not installed!')
